/***************************************************************************
                          sgui_object.cpp  -  description
                             -------------------
    begin                : Mon Feb 10 2003
    copyright            : (C) 2003 by Matthias Bach
    email                : marix@marix-world.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "sgui_object.h"

SGUI_Object::SGUI_Object(){
	// make sure the surface is initialized properly
	this->surface = NULL;
}
SGUI_Object::~SGUI_Object(){
  // free surface, if still existent
  if(this->surface != NULL)
  	SDL_FreeSurface(this->surface);	
}
/** This renders the Object to the returned Surface */
SDL_Surface * SGUI_Object::draw(){
	return this->surface;
}
/** Returns the width of the object in pixels */
int SGUI_Object::width(){
	return this->pxWidth;
}
/** Returns the height of the object in pixels */
int SGUI_Object::height(){
	return this->pxHeight;
}
/** Sends an event to the Object */
int SGUI_Object::message(SDL_Event * event){
	return 42;
}
/** Returns the Type of the object */
int SGUI_Object::getType(){
	return this->type;
}

/** Sets the Colormask of the object */
int SGUI_Object::setColorMask(Uint32 Rmask, Uint32 Gmask, Uint32 Bmask, Uint32 Amask){
	colorMask.Rmask = Rmask;
	colorMask.Gmask = Gmask;
	colorMask.Bmask = Bmask;
	colorMask.Amask = Amask;

	return 42;
}

